POST api/EstoreUtility/ValidateBillRequest

Request Information

URI Parameters

None.

Body Parameters

ValidatePayment
NameDescriptionTypeAdditional information
serviceId

integer

None.

servicebasedPaymentID

integer

None.

serviceNumber

string

None.

nationalId

string

None.

visaNumber

string

None.

Amount

decimal number

None.

Request Formats

application/json, text/json

Sample:
{
  "serviceId": 1,
  "servicebasedPaymentID": 2,
  "serviceNumber": "sample string 3",
  "nationalId": "sample string 4",
  "visaNumber": "sample string 5",
  "Amount": 6.0
}

application/xml, text/xml

Sample:
<UtilityModel.ValidatePayment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Features.SDK.Models">
  <Amount>6</Amount>
  <nationalId>sample string 4</nationalId>
  <serviceId>1</serviceId>
  <serviceNumber>sample string 3</serviceNumber>
  <servicebasedPaymentID>2</servicebasedPaymentID>
  <visaNumber>sample string 5</visaNumber>
</UtilityModel.ValidatePayment>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

QnbValidateDataResult
NameDescriptionTypeAdditional information
data

None.

Response Formats

application/json, text/json

Sample:
{
  "data": {
    "paymentReference": "sample string 1",
    "paymentTransactionReference": "sample string 2",
    "paymentMethod": "sample string 3",
    "paymentAmount": 4.0,
    "isPartialPayment": "sample string 5",
    "paymentStatus": "sample string 6",
    "otpReferenceNo": "sample string 7",
    "paymentDetails": {
      "payeeReferenceNumber": "sample string 1",
      "pointsExpiryDate": "sample string 2",
      "pointsExpireValue": "sample string 3",
      "totalPointsValue": "sample string 4",
      "redeemPointsValue": "sample string 5",
      "remainingPointsValue": "sample string 6",
      "postingReference": "sample string 7"
    }
  },
  "success": true,
  "message": "sample string 2",
  "code": "sample string 3",
  "error": {},
  "errors": [
    "sample string 1",
    "sample string 2"
  ]
}

application/xml, text/xml

Sample:
<UtilityModel.QnbValidateDataResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Features.SDK.Models">
  <code xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Models">sample string 6</code>
  <errors xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Models">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </errors>
  <message xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Models">sample string 7</message>
  <success xmlns="http://schemas.datacontract.org/2004/07/QatarPay.Models">true</success>
  <Code>sample string 3</Code>
  <Data>
    <IsPartialPayment>sample string 5</IsPartialPayment>
    <OtpReferenceNo>sample string 7</OtpReferenceNo>
    <PaymentAmount>4</PaymentAmount>
    <PaymentDetails>
      <PayeeReferenceNumber>sample string 1</PayeeReferenceNumber>
      <PointsExpireValue>sample string 3</PointsExpireValue>
      <PointsExpiryDate>sample string 2</PointsExpiryDate>
      <PostingReference>sample string 7</PostingReference>
      <RedeemPointsValue>sample string 5</RedeemPointsValue>
      <RemainingPointsValue>sample string 6</RemainingPointsValue>
      <TotalPointsValue>sample string 4</TotalPointsValue>
    </PaymentDetails>
    <PaymentMethod>sample string 3</PaymentMethod>
    <PaymentReference>sample string 1</PaymentReference>
    <PaymentStatus>sample string 6</PaymentStatus>
    <PaymentTransactionReference>sample string 2</PaymentTransactionReference>
  </Data>
  <Error />
  <Message>sample string 2</Message>
  <Success>true</Success>
</UtilityModel.QnbValidateDataResult>